From e49fc3faf9e87d5c348119d12d0d420fa869416c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 15 Jul 2019 18:54:22 +0200
Subject: [PATCH 1/6] New package: python-zipp-0.5.2

---
 srcpkgs/python3-zipp/template | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)
 create mode 100644 srcpkgs/python3-zipp/template

diff --git a/srcpkgs/python3-zipp/template b/srcpkgs/python3-zipp/template
new file mode 100644
index 00000000000..ad4e3a01713
--- /dev/null
+++ b/srcpkgs/python3-zipp/template
@@ -0,0 +1,21 @@
+# Template file for 'python3-zipp'
+pkgname=python3-zipp
+version=0.5.2
+revision=1
+archs=noarch
+wrksrc="zipp-${version}"
+build_style=python3-module
+pycompile_module="zipp.py"
+hostmakedepends="python3-setuptools"
+depends="python3"
+short_desc="Pathlib-compatible Zipfile object wrapper"
+maintainer="Piotr Wójcik <chocimier@tlen.pl>"
+license="MIT"
+homepage="https://github.com/jaraco/zipp"
+changelog="https://raw.githubusercontent.com/jaraco/zipp/master/CHANGES.rst"
+distfiles="${PYPI_SITE}/z/zipp/zipp-${version}.tar.gz"
+checksum=4970c3758f4e89a7857a973b1e2a5d75bcdc47794442f2e2dd4fe8e0466e809a
+
+post_install() {
+	vlicense LICENSE
+}

From 1a1227745a2ce7ed0553b0dac354485a90712d4e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 15 Jul 2019 18:54:22 +0200
Subject: [PATCH 2/6] New package: python-importlib_metadata-0.18

---
 srcpkgs/python3-importlib_metadata/template | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)
 create mode 100644 srcpkgs/python3-importlib_metadata/template

diff --git a/srcpkgs/python3-importlib_metadata/template b/srcpkgs/python3-importlib_metadata/template
new file mode 100644
index 00000000000..dc08caa28c7
--- /dev/null
+++ b/srcpkgs/python3-importlib_metadata/template
@@ -0,0 +1,18 @@
+# Template file for 'python3-importlib_metadata'
+pkgname=python3-importlib_metadata
+version=0.18
+revision=1
+archs=noarch
+wrksrc="importlib_metadata-${version}"
+build_style=python3-module
+pycompile_module="importlib_metadata"
+hostmakedepends="python3-setuptools"
+depends="python3-zipp"
+checkdepends="${depends}"
+short_desc="Read metadata from Python packages"
+maintainer="Piotr Wójcik <chocimier@tlen.pl>"
+license="Apache-2.0"
+homepage="https://importlib-metadata.readthedocs.io/en/latest/"
+changelog="https://importlib-metadata.readthedocs.io/en/latest/changelog%20(links).html"
+distfiles="${PYPI_SITE}/i/importlib_metadata/importlib_metadata-${version}.tar.gz"
+checksum=cb6ee23b46173539939964df59d3d72c3e0c1b5d54b84f1d8a7e912fe43612db

From 550d5279523dd67faf939674a9001f1f14921f50 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 15 Jul 2019 18:54:22 +0200
Subject: [PATCH 3/6] python-pluggy: update to 0.12.0.

---
 srcpkgs/python-pluggy/template  | 25 +++++++------------------
 srcpkgs/python3-pluggy          |  1 -
 srcpkgs/python3-pluggy/template | 25 +++++++++++++++++++++++++
 3 files changed, 32 insertions(+), 19 deletions(-)
 delete mode 120000 srcpkgs/python3-pluggy
 create mode 100644 srcpkgs/python3-pluggy/template

diff --git a/srcpkgs/python-pluggy/template b/srcpkgs/python-pluggy/template
index 96ba995a3c8..a801360560f 100644
--- a/srcpkgs/python-pluggy/template
+++ b/srcpkgs/python-pluggy/template
@@ -1,15 +1,15 @@
 # Template file for 'python-pluggy'
 pkgname=python-pluggy
 version=0.9.0
-revision=1
+revision=2
 archs=noarch
-wrksrc="${pkgname/python-//}-${version}"
-build_style=python-module
+wrksrc="pluggy-${version}"
+build_style=python2-module
 pycompile_module="pluggy"
-hostmakedepends="python-setuptools python3-setuptools"
+hostmakedepends="python-setuptools"
 depends="python"
-checkdepends="python3-pytest"
-short_desc="Minimalist production ready python2 plugin system"
+checkdepends="python-pytest ${depends}"
+short_desc="Minimalist production ready plugin system (Python2)"
 maintainer="Orphaned <orphan@voidlinux.org>"
 license="MIT"
 homepage="https://github.com/pytest-dev/pluggy"
@@ -17,20 +17,9 @@ distfiles="${PYPI_SITE}/p/pluggy/pluggy-${version}.tar.gz"
 checksum=19ecf9ce9db2fce065a7a0586e07cfb4ac8614fe96edf628a264b1c70116cf8f
 
 do_check() {
-	python3 -m pytest
+	python -m pytest
 }
 
 post_install() {
 	vlicense LICENSE
 }
-
-python3-pluggy_package() {
-	archs=noarch
-	pycompile_module="pluggy"
-	depends="python3"
-	short_desc="${short_desc/python2/python3}"
-	pkg_install() {
-		vmove usr/lib/python3*
-		vlicense LICENSE
-	}
-}
diff --git a/srcpkgs/python3-pluggy b/srcpkgs/python3-pluggy
deleted file mode 120000
index a7b99b1cadb..00000000000
--- a/srcpkgs/python3-pluggy
+++ /dev/null
@@ -1 +0,0 @@
-python-pluggy
\ No newline at end of file
diff --git a/srcpkgs/python3-pluggy/template b/srcpkgs/python3-pluggy/template
new file mode 100644
index 00000000000..42b31ff8af5
--- /dev/null
+++ b/srcpkgs/python3-pluggy/template
@@ -0,0 +1,25 @@
+# Template file for 'python3-pluggy'
+pkgname=python3-pluggy
+version=0.12.0
+revision=1
+archs=noarch
+wrksrc="pluggy-${version}"
+build_style=python3-module
+pycompile_module="pluggy"
+hostmakedepends="python3-setuptools"
+depends="python3-importlib_metadata"
+checkdepends="python3-pytest ${depends}"
+short_desc="Minimalist production ready plugin system (Python3)"
+maintainer="Piotr Wójcik <chocimier@tlen.pl>"
+license="MIT"
+homepage="https://github.com/pytest-dev/pluggy"
+distfiles="${PYPI_SITE}/p/pluggy/pluggy-${version}.tar.gz"
+checksum=0825a152ac059776623854c1543d65a4ad408eb3d33ee114dff91e57ec6ae6fc
+
+do_check() {
+	python3 -m pytest
+}
+
+post_install() {
+	vlicense LICENSE
+}

From 1ed05c579263f23b8595760c4e1592f638884b4d Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 15 Jul 2019 18:54:22 +0200
Subject: [PATCH 4/6] New package: python3-scandir-1.10.0

---
 srcpkgs/python-scandir/template | 21 ++++++++++++++++-----
 srcpkgs/python3-scandir         |  1 +
 2 files changed, 17 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/python3-scandir

diff --git a/srcpkgs/python-scandir/template b/srcpkgs/python-scandir/template
index 87d822adfe9..774fac91b8f 100644
--- a/srcpkgs/python-scandir/template
+++ b/srcpkgs/python-scandir/template
@@ -1,19 +1,30 @@
 # Template file for 'python-scandir'
 pkgname=python-scandir
 version=1.10.0
-revision=1
+revision=2
 wrksrc="scandir-${version}"
-build_style=python2-module
+build_style=python-module
 pycompile_module="scandir.py"
-hostmakedepends="python-setuptools"
-makedepends="python-devel"
-short_desc="Backport of the scandir module from Python 3.5+"
+hostmakedepends="python-setuptools python3-setuptools"
+makedepends="python-devel python3-devel"
+depends="python"
+short_desc="Better directory iterator and faster os.walk() (Python2)"
 maintainer="Alessio Sergi <al3hex@gmail.com>"
 license="BSD-3-Clause"
 homepage="https://github.com/benhoyt/scandir"
 distfiles="${PYPI_SITE}/s/scandir/scandir-${version}.tar.gz"
 checksum=4d4631f6062e658e9007ab3149a9b914f3548cb38bfb021c64f39a025ce578ae
 
+python3-scandir_package() {
+	pycompile_module="scandir.py"
+	depends="python3"
+	short_desc="${short_desc/Python2/Python3}"
+	pkg_install() {
+		vmove usr/lib/python3*
+		vlicense LICENSE.txt
+	}
+}
+
 post_install() {
 	vlicense LICENSE.txt
 }
diff --git a/srcpkgs/python3-scandir b/srcpkgs/python3-scandir
new file mode 120000
index 00000000000..a572ade2d3e
--- /dev/null
+++ b/srcpkgs/python3-scandir
@@ -0,0 +1 @@
+python-scandir
\ No newline at end of file

From 3401666074bfbba56d2b64d778d63f5100a5c279 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 15 Jul 2019 18:54:22 +0200
Subject: [PATCH 5/6] New package: python3-pathlib2-2.3.4

---
 srcpkgs/python-pathlib2/template | 23 +++++++++++++++++------
 srcpkgs/python3-pathlib2         |  1 +
 2 files changed, 18 insertions(+), 6 deletions(-)
 create mode 120000 srcpkgs/python3-pathlib2

diff --git a/srcpkgs/python-pathlib2/template b/srcpkgs/python-pathlib2/template
index 4bd0af24131..bb7bec778f5 100644
--- a/srcpkgs/python-pathlib2/template
+++ b/srcpkgs/python-pathlib2/template
@@ -1,20 +1,31 @@
 # Template file for 'python-pathlib2'
 pkgname=python-pathlib2
 version=2.3.4
-revision=1
+revision=2
 archs=noarch
 wrksrc="pathlib2-${version}"
-build_style=python2-module
-pycompile_module="pathlib2.py"
-hostmakedepends="python-setuptools"
+build_style=python-module
+pycompile_module="pathlib2"
+hostmakedepends="python-setuptools python3-setuptools"
 depends="python-six python-scandir"
-short_desc="Backport of Python 3.4+ pathlib module"
+short_desc="Object-oriented filesystem paths (Python2)"
 maintainer="Alessio Sergi <al3hex@gmail.com>"
-homepage="https://github.com/mcmtroffaes/pathlib2"
 license="MIT"
+homepage="https://github.com/mcmtroffaes/pathlib2"
 distfiles="${PYPI_SITE}/p/pathlib2/pathlib2-${version}.tar.gz"
 checksum=446014523bb9be5c28128c4d2a10ad6bb60769e78bd85658fe44a450674e0ef8
 
+python3-pathlib2_package() {
+	archs=noarch
+	depends="python3-six python3-scandir"
+	pycompile_module="pathlib2"
+	short_desc="${short_desc/Python2/Python3}"
+	pkg_install() {
+		vmove usr/lib/python3*
+		vlicense LICENSE.rst
+	}
+}
+
 post_install() {
 	vlicense LICENSE.rst
 }
diff --git a/srcpkgs/python3-pathlib2 b/srcpkgs/python3-pathlib2
new file mode 120000
index 00000000000..bb0f70e054c
--- /dev/null
+++ b/srcpkgs/python3-pathlib2
@@ -0,0 +1 @@
+python-pathlib2
\ No newline at end of file

From 93a114798a4901d2ffc6f68215f83a7388ffe6ac Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 15 Jul 2019 18:54:22 +0200
Subject: [PATCH 6/6] tox: update to 3.13.2.

---
 srcpkgs/tox/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/tox/template b/srcpkgs/tox/template
index e7b0c3553af..c735c42c37c 100644
--- a/srcpkgs/tox/template
+++ b/srcpkgs/tox/template
@@ -1,18 +1,19 @@
 # Template file for 'tox'
 pkgname=tox
-version=3.13.1
+version=3.13.2
 revision=1
 build_style=python3-module
 pycompile_module="tox"
 hostmakedepends="python3-setuptools"
-depends="python3-filelock python3-pytest python3-toml python3-virtualenv"
-checkdepends="${depends} python3-flaky"
+depends="python3-filelock python3-importlib_metadata python3-packaging
+ python3-pluggy python3-pytest python3-toml python3-virtualenv"
+checkdepends="${depends} python3-flaky python3-pathlib2"
 short_desc="Generic virtualenv management and test command line tool"
 maintainer="Piotr Wójcik <chocimier@tlen.pl>"
 license="MIT"
 homepage="https://tox.readthedocs.io/en/latest/"
 distfiles="${PYPI_SITE}/t/tox/tox-${version}.tar.gz"
-checksum=f5cb0b5b8d14f2100982b0981c750d840228180a348e6bad355aa38e949fbc3f
+checksum=ee35ffce74933a6c6ac10c9a0182e41763140a5a5070e21b114feca56eaccdcd
 
 post_install() {
 	vlicense LICENSE
